获取用户个人动态
GET/api/v5/users/:username/events
Request
Path Parameters
username stringrequired
Query Parameters
access_token stringrequired
用户授权码
year string
开始年(2024)
next string
结束日期
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- 1
Schema
- Array [
- ]
events object
2024-08-27 object[]
actioninteger
action_namestring
author object
idinteger
iam_idstring
usernamestring
statestring
avatar_urlstring
emailstring
namestring
name_cnstring
web_urlstring
author_idinteger
author_usernamestring
created_atstring
project object
main_repository_languagenull[]
star_countinteger
forks_countinteger
develop_modestring
staredinteger
project_idinteger
project_namestring
push_data object
commit_countinteger
actionstring
ref_typestring
commit_fromstring
commit_tostring
refstring
commit_titlestring
_links object
projectstring
action_typestring
nextstring
{
"events": {
"2024-08-27": [
{
"action": 0,
"action_name": "string",
"author": {
"id": 0,
"iam_id": "string",
"username": "string",
"state": "string",
"avatar_url": "string",
"email": "string",
"name": "string",
"name_cn": "string",
"web_url": "string"
},
"author_id": 0,
"author_username": "string",
"created_at": "string",
"project": {
"main_repository_language": [
null
],
"star_count": 0,
"forks_count": 0,
"develop_mode": "string",
"stared": 0
},
"project_id": 0,
"project_name": "string",
"push_data": {
"commit_count": 0,
"action": "string",
"ref_type": "string",
"commit_from": "string",
"commit_to": "string",
"ref": "string",
"commit_title": "string"
},
"_links": {
"project": "string",
"action_type": "string"
}
}
]
},
"next": "string"
}
成功示例
{
"events": {
"2024-08-27": [
{
"action": 5,
"action_name": "pushed to",
"author": {
"id": 704,
"iam_id": "5c340cab034d455992541f00f9936fb4",
"username": "dengmengmian",
"state": "active",
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"email": "",
"name": "dengmengmian",
"name_cn": "dengmengmian",
"web_url": "https://test.gitcode.net/dengmengmian"
},
"author_id": 704,
"author_username": "dengmengmian",
"created_at": "2024-08-27T10:34:05.093Z",
"project": {
"main_repository_language": [
null,
null
],
"star_count": 0,
"forks_count": 0,
"develop_mode": "normal",
"stared": false
},
"project_id": 507167,
"project_name": "mactribe/midsommarcartoon",
"push_data": {
"commit_count": 1,
"action": "pushed",
"ref_type": "branch",
"commit_from": "2ce472fec073f77804c3480ccf128219a6172e54",
"commit_to": "14b742fe434797fb073ba536804011f735f2f430",
"ref": "main",
"commit_title": "文件title"
},
"_links": {
"project": "https://test.gitcode.net/mactribe/midsommarcartoon",
"action_type": ""
}
},
{
"action": 5,
"action_name": "pushed to",
"author": {
"id": 704,
"iam_id": "5c340cab034d455992541f00f9936fb4",
"username": "dengmengmian",
"state": "active",
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/fa/fe/f32a9fecc53e890afbd48fd098b0f6c5f20f062581400c76c85e5baab3f0d5b2.png",
"email": "",
"name": "dengmengmian",
"name_cn": "dengmengmian",
"web_url": "https://test.gitcode.net/dengmengmian"
},
"author_id": 704,
"author_username": "dengmengmian",
"created_at": "2024-08-27T10:31:17.494Z",
"project": {
"main_repository_language": [
null,
null
],
"star_count": 0,
"forks_count": 0,
"develop_mode": "normal",
"stared": false
},
"project_id": 507167,
"project_name": "mactribe/midsommarcartoon",
"push_data": {
"commit_count": 1,
"action": "pushed",
"ref_type": "branch",
"commit_from": "ee25b0353dae9bf19f5e3e733e651e7870020386",
"commit_to": "2ce472fec073f77804c3480ccf128219a6172e54",
"ref": "main",
"commit_title": "文件title"
},
"_links": {
"project": "https://test.gitcode.net/mactribe/midsommarcartoon",
"action_type": ""
}
}
]
},
"next": "2024-08-01T10:10:40.370Z"
}